Tryton - Issues

 

Issue8078

Title Manage width and height on Notebook
Priority feature Status resolved
Superseder Implement expand, height and width on widget
View: 7886
Nosy List ced, reviewbot, roundup-bot, smarro
Type feature request Components sao
Assigned To ced Keywords review
Reviews 45921002
View: 45921002

Created on 2019-02-05.22:11:47 by smarro, last changed by roundup-bot.

Messages
New changeset 81a3cf93e16d by Cédric Krier in branch 'default':
Add support for height and width on notebook
https://hg.tryton.org/tryton-env/rev/81a3cf93e16d
New changeset 8b6d520e02a9 by Cédric Krier in branch 'default':
Add support for height and width on notebook
https://hg.tryton.org/sao/rev/8b6d520e02a9
msg46836 (view) Author: [hidden] (smarro) Date: 2019-02-07.12:32:50
Patch works ok
review45921002 updated at https://codereview.tryton.org/45921002/#ps20001
review45921002 updated at https://codereview.tryton.org/45921002/#ps1
msg46763 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-02-06.10:06:39
Here is review45921002 which adds support for width and height on notebook (but it does not change the size of modal).
msg46762 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-02-06.01:33:48
Indeed notebook in sao does not manage width nor height. So it is a feature that should be implemented to follow tryton.
But any way, wizard form will not be larger but just have a scroll bar because wizard were designed to use modal-md which is a good compromise.
msg46761 (view) Author: [hidden] (smarro) Date: 2019-02-05.23:05:13
Applied the patch, but the modal-dialog form still has a maximum of 600px width, no matter what i put in width attribute of widget.
msg46760 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-02-05.22:16:41
Duplicate issue7886
msg46759 (view) Author: [hidden] (smarro) Date: 2019-02-05.22:11:47
Using Tryton 5.0, if i put width or height in a wizard form, it works ok in gtk client, but in sao form size still is small.

For example:
<form>
    <notebook width="1200" height="550">
...

works ok in gtk client
no change in sao
History
Date User Action Args
2019-02-13 10:58:52roundup-botsetmessages: + msg46993
2019-02-13 10:58:49roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg46992
2019-02-07 12:32:50smarrosetmessages: + msg46836
2019-02-06 13:12:24reviewbotsetmessages: + msg46771
2019-02-06 10:14:46reviewbotsetnosy: + reviewbot
messages: + msg46764
2019-02-06 10:06:40cedsetstatus: chatting -> testing
reviews: 45921002
messages: + msg46763
keyword: + review
assignedto: ced
2019-02-06 01:33:49cedsetpriority: bug -> feature
type: feature request
messages: + msg46762
title: Wizard form size is not enlarged according to the attributes -> Manage width and height on Notebook
2019-02-05 23:05:13smarrosetstatus: closed -> chatting
messages: + msg46761
2019-02-05 22:16:41cedsetstatus: unread -> closed
superseder: + Implement expand, height and width on widget
messages: + msg46760
nosy: + ced
2019-02-05 22:11:47smarrocreate

Showing 10 items. Show all history (warning: this could be VERY long)